unit LoginFrm;

{
  InnoCVS
  Copyright (C) 2002 Jordan Russell. All rights reserved.
  http://www.jrsoftware.org/

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

  $Id: LoginFrm.pas,v 1.6 2002/01/09 05:29:39 jr Exp $

  Additional credits for this unit:
    Simon Steele
}

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TLoginForm = class(TForm)
    OKButton: TButton;
    CancelButton: TButton;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    AddressLabel: TLabel;
    AddressEdit: TEdit;
    PathEdit: TEdit;
    Label4: TLabel;
    GroupBox2: TGroupBox;
    UserNameLabel: TLabel;
    UserNameEdit: TEdit;
    Label2: TLabel;
    PasswordEdit: TEdit;
    Label3: TLabel;
    Label5: TLabel;
    RepositoryCombo: TComboBox;
    procedure FormShow(Sender: TObject);
    procedure RepositoryComboClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation

uses Main;

{$R *.DFM}

procedure TLoginForm.FormShow(Sender: TObject);
var
  I: Integer;
  SL: TStringList;
  Rep: PRepository;
begin
  SL := TStringList.Create;
  try
    for I := 0 to MainForm.Repositories.Count-1 do begin
      Rep := MainForm.Repositories[I];
      if Rep.ServerType = 0 then  { pserver? }
        SL.AddObject(Rep.Name, TObject(Rep));
    end;
    SL.Sort;
    RepositoryCombo.Items.Assign(SL);
  finally
    SL.Free;
  end;
  RepositoryCombo.Items.Insert(0, '(none)');
  RepositoryCombo.ItemIndex := 0;
end;

procedure TLoginForm.RepositoryComboClick(Sender: TObject);

  procedure SetEditReadOnly(Ctl: TEdit; AReadOnly: Boolean);
  begin
    Ctl.ReadOnly := AReadOnly;
    if not AReadOnly then
      Ctl.Color := clWindow
    else
      Ctl.ParentColor := True;
  end;

var
  RepSelected: Boolean;
  Rep: PRepository;
begin
  RepSelected := (RepositoryCombo.ItemIndex > 0);
  SetEditReadOnly(AddressEdit, RepSelected);
  SetEditReadOnly(PathEdit, RepSelected);
  SetEditReadOnly(UserNameEdit, RepSelected);
  if RepSelected then begin
    Rep := PRepository(RepositoryCombo.Items.Objects[RepositoryCombo.ItemIndex]);
    AddressEdit.Text := Rep.Host;
    PathEdit.Text := Rep.Path;
    UserNameEdit.Text := Rep.UserName;
  end;
end;

end.
