unit RepositoryFrm;

{
  InnoCVS
  Copyright (C) 2002 Jordan Russell. All rights reserved.
  http://www.jrsoftware.org/

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

  $Id: RepositoryFrm.pas,v 1.3 2002/01/09 06:40:19 jr Exp $

  Additional credits for this unit:
    Simon Steele
}

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;
  
type
  TRepositoryForm = class(TForm)
    UserInfoGroup: TGroupBox;
    UserNameLabel: TLabel;
    UserNameEdit: TEdit;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    AddressLabel: TLabel;
    Label4: TLabel;
    AddressEdit: TEdit;
    PathEdit: TEdit;
    GroupBox3: TGroupBox;
    Label5: TLabel;
    NameEdit: TEdit;
    ServerTypeCombo: TComboBox;
    OKButton: TButton;
    CancelButton: TButton;
    procedure ServerTypeComboClick(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
    function Execute(var RName, Server, Path, UserName: String;
      var ServerType: Integer; Edit: Boolean = False): Boolean;
  end;

var
  RepositoryForm: TRepositoryForm;

implementation

{$R *.DFM}

{ TRepositoryForm }

function TRepositoryForm.Execute(var RName, Server, Path, UserName: String;
  var ServerType: Integer; Edit: Boolean): Boolean;
begin
  if Edit then begin
    NameEdit.Text := RName;
    AddressEdit.Text := Server;
    PathEdit.Text := Path;
    UserNameEdit.Text := UserName;
    ServerTypeCombo.ItemIndex := ServerType;
  end
  else
    ServerTypeCombo.ItemIndex := 0;

  Result := (ShowModal = mrOK);

  if Result then begin
    RName := NameEdit.Text;
    Server := AddressEdit.Text;
    Path := PathEdit.Text;
    UserName := UserNameEdit.Text;
    ServerType := ServerTypeCombo.ItemIndex;
  end;
end;

procedure TRepositoryForm.ServerTypeComboClick(Sender: TObject);
begin
  if ServerTypeCombo.ItemIndex <> 1 then begin
    AddressLabel.Visible := True;
    AddressEdit.Visible := True;
    UserInfoGroup.Visible := True;
    PathEdit.Text := '/data/cvs';
  end
  else begin
    AddressLabel.Visible := False;
    AddressEdit.Visible := False;
    UserInfoGroup.Visible := False;
    PathEdit.Text := 'c:\cvs';
  end;
end;

procedure TRepositoryForm.FormCloseQuery(Sender: TObject;
  var CanClose: Boolean);
begin
  if ModalResult = mrOK then begin
    NameEdit.Text := Trim(NameEdit.Text);
    if AnsiPos('\', NameEdit.Text) <> 0 then begin
      NameEdit.SetFocus;
      Application.MessageBox('The name cannot include backslashes.', nil,
        MB_OK or MB_ICONEXCLAMATION);
      CanClose := False;
      Exit;
    end;
    if NameEdit.Text = '' then begin
      NameEdit.SetFocus;
      Application.MessageBox('You must enter a name.', nil,
        MB_OK or MB_ICONEXCLAMATION);
      CanClose := False;
      Exit;
    end;
  end;
end;

end.
