unit TagFrm;

{
  InnoCVS
  Copyright (C) 2002 Jordan Russell. All rights reserved.
  http://www.jrsoftware.org/

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

  $Id: TagFrm.pas,v 1.1 2002/01/09 06:15:32 jr Exp $
}

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls;

type
  TTagForm = class(TForm)
    OKButton: TButton;
    CancelButton: TButton;
    PageControl: TPageControl;
    TabSheet1: TTabSheet;
    GroupBox1: TGroupBox;
    AllRadio: TRadioButton;
    SelRadio: TRadioButton;
    GroupBox3: TGroupBox;
    BranchCheck: TCheckBox;
    CheckCheck: TCheckBox;
    GroupBox4: TGroupBox;
    LocalCheck: TCheckBox;
    GroupBox2: TGroupBox;
    NewRadio: TRadioButton;
    MoveRadio: TRadioButton;
    DeleteRadio: TRadioButton;
    Label1: TLabel;
    NameEdit: TEdit;
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure RadioClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation

{$R *.DFM}

procedure TTagForm.FormCloseQuery(Sender: TObject; var CanClose: Boolean);
begin
  if ModalResult = mrOK then begin
    NameEdit.Text := Trim(NameEdit.Text);
    if Pos(' ', NameEdit.Text) <> 0 then begin
      NameEdit.SetFocus;
      Application.MessageBox('The tag name cannot include spaces.', nil,
        MB_OK or MB_ICONEXCLAMATION);
      CanClose := False;
      Exit;
    end;
    if NameEdit.Text = '' then begin
      NameEdit.SetFocus;
      Application.MessageBox('You must enter a tag name.', nil,
        MB_OK or MB_ICONEXCLAMATION);
      CanClose := False;
      Exit;
    end;
  end;
end;

procedure TTagForm.RadioClick(Sender: TObject);
begin
  BranchCheck.Enabled := (Sender <> DeleteRadio);
end;

end.
