unit UpdateFrm;

{
  InnoCVS
  Copyright (C) 2002 Jordan Russell. All rights reserved.
  http://www.jrsoftware.org/

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

  $Id: UpdateFrm.pas,v 1.2 2002/01/03 04:27:56 jr Exp $
}

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls;

type
  TUpdateForm = class(TForm)
    OKButton: TButton;
    CancelButton: TButton;
    PageControl: TPageControl;
    TabSheet1: TTabSheet;
    GroupBox1: TGroupBox;
    AllRadio: TRadioButton;
    SelRadio: TRadioButton;
    GroupBox2: TGroupBox;
    ResetCheck: TCheckBox;
    CleanCheck: TCheckBox;
    TabSheet2: TTabSheet;
    GroupBox3: TGroupBox;
    DateCheck: TCheckBox;
    RevisionCheck: TCheckBox;
    DateEdit: TEdit;
    RevisionEdit: TEdit;
    ForceCheck: TCheckBox;
    GroupBox4: TGroupBox;
    MergeCheck: TCheckBox;
    MergeEdit: TEdit;
    GroupBox5: TGroupBox;
    PruneCheck: TCheckBox;
    DirsCheck: TCheckBox;
    LocalCheck: TCheckBox;
    procedure DateCheckClick(Sender: TObject);
    procedure RevisionCheckClick(Sender: TObject);
    procedure MergeCheckClick(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation

{$R *.DFM}

var
  EditColors: array[Boolean] of TColor = (clBtnFace, clWindow);

procedure TUpdateForm.DateCheckClick(Sender: TObject);
begin
  DateEdit.Enabled := DateCheck.Checked;
  DateEdit.Color := EditColors[DateCheck.Checked];
end;

procedure TUpdateForm.RevisionCheckClick(Sender: TObject);
begin
  RevisionEdit.Enabled := RevisionCheck.Checked;
  RevisionEdit.Color := EditColors[RevisionCheck.Checked];
end;

procedure TUpdateForm.MergeCheckClick(Sender: TObject);
begin
  MergeEdit.Enabled := MergeCheck.Checked;
  MergeEdit.Color := EditColors[MergeCheck.Checked];
end;

procedure TUpdateForm.FormCloseQuery(Sender: TObject;
  var CanClose: Boolean);
begin
  if ModalResult = mrOK then begin
    CanClose := False;
    if DateCheck.Checked and (Trim(DateEdit.Text) = '') then begin
      PageControl.ActivePage := TabSheet2;
      DateEdit.SetFocus;
      Application.MessageBox('At least one character must be entered.', nil,
        MB_OK or MB_ICONEXCLAMATION); 
      Exit;
    end;
    if RevisionCheck.Checked and (Trim(RevisionEdit.Text) = '') then begin
      PageControl.ActivePage := TabSheet2;
      RevisionEdit.SetFocus;
      Application.MessageBox('At least one character must be entered.', nil,
        MB_OK or MB_ICONEXCLAMATION); 
      Exit;
    end;
    if MergeCheck.Checked and (Trim(MergeEdit.Text) = '') then begin
      PageControl.ActivePage := TabSheet2;
      MergeEdit.SetFocus;
      Application.MessageBox('At least one character must be entered.', nil,
        MB_OK or MB_ICONEXCLAMATION); 
      Exit;
    end;
    CanClose := True;
  end;
end;

end.
