unit Main;

{
  InnoCVS
  Copyright (C) 2002 Jordan Russell. All rights reserved.
  http://www.jrsoftware.org/

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

  $Id: Main.pas,v 1.99 2002/01/19 07:42:37 jr Exp $

  Additional credits for this unit:
    Simon Steele, Michael Hieke
}

interface

{ Yes, the code isn't that pretty! It's still in a 'proof-of-concept' phase... }

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, ComCtrls, StdCtrls, ImgList, Menus, ActnList;

const
  Version = '0.55';
  WM_CVSNotify = WM_USER + $100;
  WM_ChangeNotify = WM_USER + $101;
  WM_InitialUpdateList = WM_USER + $102;

type
  PSavedListState = ^TSavedListState;
  TSavedListState = record
    ScrollPosition: Integer;
    FocusedItem, SelectedItems: String;
  end;

  TMainForm = class(TForm)
    ListView: TListView;
    Panel1: TPanel;
    ComboBox: TComboBox;
    ListImages: TImageList;
    MainMenu: TMainMenu;
    FMenu: TMenuItem;
    FExit: TMenuItem;
    CMenu: TMenuItem;
    CDiff: TMenuItem;
    Memo: TMemo;
    Splitter: TSplitter;
    Bevel1: TBevel;
    VMenu: TMenuItem;
    VRefresh: TMenuItem;
    CLog: TMenuItem;
    CUpdate: TMenuItem;
    CCommit: TMenuItem;
    N1: TMenuItem;
    N2: TMenuItem;
    VMessages: TMenuItem;
    FOpen: TMenuItem;
    FOpenInNotepad: TMenuItem;
    N4: TMenuItem;
    N3: TMenuItem;
    FDelete: TMenuItem;
    RefreshTimer: TTimer;
    HMenu: TMenuItem;
    HAbout: TMenuItem;
    N5: TMenuItem;
    CCheckOut: TMenuItem;
    CLogin: TMenuItem;
    CMakePatch: TMenuItem;
    N6: TMenuItem;
    VOptions: TMenuItem;
    Label1: TLabel;
    CAdd: TMenuItem;
    BrowseButton: TButton;
    CStatus: TMenuItem;
    VFilesInSubdirs: TMenuItem;
    VIgnoredFiles: TMenuItem;
    N7: TMenuItem;
    VNextModifiedFile: TMenuItem;
    VPrevModifiedFile: TMenuItem;
    CTag: TMenuItem;
    AMenu: TMenuItem;
    AAdd: TMenuItem;
    AOrganize: TMenuItem;
    N8: TMenuItem;
    ActionList1: TActionList;
    ContextPopupMenu: TPopupMenu;
    UpdateAction: TAction;
    Update1: TMenuItem;
    CommitAction: TAction;
    Commit1: TMenuItem;
    TagAction: TAction;
    Tag1: TMenuItem;
    AddAction: TAction;
    DiffAction: TAction;
    MakePatchAction: TAction;
    LogAction: TAction;
    StatusAction: TAction;
    AddtoRepository1: TMenuItem;
    N9: TMenuItem;
    ShowDifferences1: TMenuItem;
    MakePatch1: TMenuItem;
    ViewLog1: TMenuItem;
    ViewStatus1: TMenuItem;
    N10: TMenuItem;
    OpenAction: TAction;
    OpenInNotepadAction: TAction;
    DeleteAction: TAction;
    POpen: TMenuItem;
    POpenInNotepad: TMenuItem;
    N11: TMenuItem;
    Delete1: TMenuItem;
    N12: TMenuItem;
    CManual: TMenuItem;
    VUnmodifiedFiles: TMenuItem;
    VNonCVSFiles: TMenuItem;
    N13: TMenuItem;
    procedure FormCreate(Sender: TObject);
    procedure ComboBoxKeyPress(Sender: TObject; var Key: Char);
    procedure CDiffClick(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure FExitClick(Sender: TObject);
    procedure VRefreshClick(Sender: TObject);
    procedure CLogClick(Sender: TObject);
    procedure CUpdateClick(Sender: TObject);
    procedure CMenuClick(Sender: TObject);
    procedure CCommitClick(Sender: TObject);
    procedure VMenuClick(Sender: TObject);
    procedure VMessagesClick(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure FOpenClick(Sender: TObject);
    procedure FOpenInNotepadClick(Sender: TObject);
    procedure FDeleteClick(Sender: TObject);
    procedure ListViewKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure ListViewDblClick(Sender: TObject);
    procedure RefreshTimerTimer(Sender: TObject);
    procedure FMenuClick(Sender: TObject);
    procedure HAboutClick(Sender: TObject);
    procedure ComboBoxClick(Sender: TObject);
    procedure CCheckOutClick(Sender: TObject);
    procedure CLoginClick(Sender: TObject);
    procedure CMakePatchClick(Sender: TObject);
    procedure VOptionsClick(Sender: TObject);
    procedure CAddClick(Sender: TObject);
    procedure BrowseButtonClick(Sender: TObject);
    procedure CStatusClick(Sender: TObject);
    procedure ListViewColumnClick(Sender: TObject; Column: TListColumn);
    procedure ListViewCompare(Sender: TObject; Item1, Item2: TListItem;
      Data: Integer; var Compare: Integer);
    procedure VFilesInSubdirsClick(Sender: TObject);
    procedure VIgnoredFilesClick(Sender: TObject);
    procedure VNextModifiedFileClick(Sender: TObject);
    procedure VPrevModifiedFileClick(Sender: TObject);
    procedure CTagClick(Sender: TObject);
    procedure AMenuClick(Sender: TObject);
    procedure AAddClick(Sender: TObject);
    procedure AOrganizeClick(Sender: TObject);
    procedure ContextPopupMenuPopup(Sender: TObject);
    procedure CManualClick(Sender: TObject);
    procedure VUnmodifiedFilesClick(Sender: TObject);
    procedure VNonCVSFilesClick(Sender: TObject);
  private
    { Private declarations }
    TerminatingEvent: THandle;
    CVSThread: THandle;
    ChangeNotify, ChangeNotifyCVS, ChangeThread, ChangeThreadStopEvent: THandle;
    OurTempDir, Dir: String;
    DirFromCmdLine: Boolean;
    SavedListState: PSavedListState;
    IsCVSDir: Boolean;
    CVSHomeDir, ProgramCVS, ProgramTextViewer, ProgramExternalDiff: String;
    RefreshPending: Integer;
    SortColumn: Integer;
    SortDescending: Boolean;
    ViewRecursive, LastViewRecursive: Boolean;
    ViewIgnoredFiles: Boolean;
    ViewNonCVSFiles: Boolean;
    ViewUnmodifiedFiles: Boolean;
    ColumnWidthPath: Integer;
    LastPathIndex: Integer;
    ColumnOrder: String;
    SetColumnOrder: Boolean;
    procedure ChangeDir(const ADir: String);
    procedure CheckCVSThread;
    procedure ContinueInBackground(Process: THandle; ReadPipe: THandle;
      const IgnoreExitCode: Boolean; const APostCmdLine, TempFileToDelete: String);
    procedure Exec(const CmdLine: String; const TempFileToDelete: String);
    procedure ExecCVSInBackground(const CmdLine: String);
    procedure ExecCVSWithOutputInNotepad(const CmdLine: String;
      TempNameFormat: String; const IgnoreExitCode: Boolean);
    procedure FavoriteClick(Sender: TObject);
    procedure FreeRepositories;
    function GenerateTempFilename(const TempNameFormat: String): String;
    function GetItemFilename(const ListItem: TListItem): String;
    function GetFocusedItem: String;
    function GetSelFileList: String;
    procedure ListViewWndProc(var Message: TMessage);
    procedure Log(const S: String);
    procedure LogCmd(const S: String);
    function MakeCVSEnvironment: String;
    procedure StartChangeNotification;
    procedure StopChangeNotification;
    procedure WMCVSNotify(var Message: TMessage); message WM_CVSNotify;
    procedure WMChangeNotify(var Message: TMessage); message WM_ChangeNotify;
    procedure WMInitialUpdateList(var Message: TMessage); message WM_InitialUpdateList;
    procedure WMTimeChange(var Message: TWMTimeChange); message WM_TIMECHANGE;
    procedure UpdateColumns;
  public
    { Public declarations }
    Repositories: TList;
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
  end;

  PRepository = ^TRepository;
  TRepository = record
    Name: String;
    Host: String;
    Path: String;
    UserName: String;
    ServerType: Integer;
  end;

var
  MainForm: TMainForm;

implementation

uses
  CmnFunc2, Registry, ShellApi, CommCtrl, ActiveX, ShlObj, Common,
  UpdateFrm, CommitFrm, LoginFrm, CheckOutFrm, MakePatchFrm, OptionsFrm,
  AddFrm, TagFrm, FavoritesFrm;

{$R *.DFM}

const
  CVSOptions = ' -fz3 ';

  InheritableSecurity: TSecurityAttributes = (
    nLength: SizeOf(InheritableSecurity); lpSecurityDescriptor: nil;
    bInheritHandle: True);

  { Constants for image indexes used on ListView }
  iiFolder = 0;
  iiFile = 1;
  iiBinaryFile = 2;
  iiModifiedFile = 3;
  iiModifiedBinaryFile = 4;
  iiNonCVSFile = 5;
  iiIgnoredFile = 6;
  iiSortAscending = 7;
  iiSortDescending = 8;

  { Constants for column indexes used on ListView }
  ciName = 0;
  ciRevision = 1;
  ciType = 2;
  ciDate = 3;
  ciTag = 4;
  ciPath = 5;
  ciMax = 5;

type
  TControlAccess = class(TControl);

  TDaylightInfo = record
    Bias: Integer;
    StartTime, EndTime: TFileTime;
  end;

function GetDaylightInfoForYear(const Year: Integer;
  var DaylightInfo: TDaylightInfo): Boolean;

  function ConvertDate(Year: Integer; const TZITime: TSystemTime): TFileTime;
  var
    ST: TSystemTime;
    Offset: Integer;
  begin
    ST := TZITime;
    ST.wYear := Year;
    ST.wDay := 1;
    Win32Check(SystemTimeToFileTime(ST, Result));
    Win32Check(FileTimeToSystemTime(Result, ST));  { get the day of week }
    if ST.wDayOfWeek <= TZITime.wDayOfWeek then
      Offset := (TZITime.wDayOfWeek - ST.wDayOfWeek) + (TZITime.wDay - 1) * 7
    else
      Offset := (TZITime.wDayOfWeek - ST.wDayOfWeek) + TZITime.wDay * 7;
    Inc(Int64(Result), Offset * 864000000000);
    { Go back and make sure we didn't go past the end of the month. This can
      happen when TZITime.wDay = 5 (meaning the last instance of the day in
      the month). }
    Win32Check(FileTimeToSystemTime(Result, ST));
    if ST.wMonth <> TZITime.wMonth then
      { Shift back one week }
      Dec(Int64(Result), 7 * 864000000000);
  end;

var
  TZInfo: TTimeZoneInformation;
begin
  Win32Check(GetTimeZoneInformation(TZInfo) <> TIME_ZONE_ID_INVALID);
  Result := (TZInfo.DaylightBias < 0) and (TZInfo.DaylightDate.wMonth > 0);
  if not Result then
    Exit;
  DaylightInfo.Bias := TZInfo.DaylightBias;
  DaylightInfo.StartTime := ConvertDate(Year, TZInfo.DaylightDate);
  DaylightInfo.EndTime := ConvertDate(Year, TZInfo.StandardDate);
end;

function CTimeToFileTime(const S: String): TFileTime;
{ Convert a ctime()-style date string into a TFileTime. Returns 0 if the
  string is invalid. }

  function MonthStrToInt(S: PChar): Integer;
  const
    MonthNames: array[1..12] of PChar = ('Jan', 'Feb', 'Mar', 'Apr',
      'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec');
  var
    I: Integer;
  begin
    Result := 0;  { invalid }
    for I := 1 to 12 do
      if StrLComp(S, MonthNames[I], 3) = 0 then begin
        Result := I;
        Break;
      end;
  end;

var
  SysTime: TSystemTime;
  Code: Integer;
begin
  Int64(Result) := 0;
  if Length(S) <> 24 then Exit;
  Val(Copy(S, 21, 4), SysTime.wYear, Code);
  if Code <> 0 then Exit;
  SysTime.wMonth := MonthStrToInt(@S[5]);
  if SysTime.wMonth = 0 then Exit;
  Val(Copy(S, 9, 2), SysTime.wDay, Code);
  if Code <> 0 then Exit;
  Val(Copy(S, 12, 2), SysTime.wHour, Code);
  if Code <> 0 then Exit;
  Val(Copy(S, 15, 2), SysTime.wMinute, Code);
  if Code <> 0 then Exit;
  Val(Copy(S, 18, 2), SysTime.wSecond, Code);
  if Code <> 0 then Exit;
  SysTime.wMilliseconds := 0;
  SystemTimeToFileTime(SysTime, Result);
end;

function BrowseForFolder(const ParentWnd: HWND; const Title: String;
  var Directory: String): Boolean;
{ Displays an Explorer-like Browse for Folder dialog. Returns True if
  successful. }
var
  Malloc: IMalloc;
  BrowseInfo: TBrowseInfo;
  DisplayName, Path: array[0..MAX_PATH-1] of Char;
  IDList: PItemIDList;
begin
  Result := False;
  if FAILED(SHGetMalloc(Malloc)) then
    Malloc := nil;
  FillChar(BrowseInfo, SizeOf(BrowseInfo), 0);
  with BrowseInfo do begin
    hwndOwner := ParentWnd;
    pszDisplayName := @DisplayName;
    lpszTitle := PChar(Title);
    ulFlags := BIF_RETURNONLYFSDIRS;
  end;
  IDList := SHBrowseForFolder(BrowseInfo);
  try
    if (IDList = nil) or not SHGetPathFromIDList(IDList, Path) then
      Exit;
    Directory := Path;
  finally
    if Assigned(Malloc) then
      Malloc.Free(IDList);
  end;
  Result := True;
end;

function ChangeThreadFunc(MainForm: TMainForm): Integer;
{ This thread watches for changes in Dir and Dir\CVS, and sends notification
  messages to MainForm accordingly.
  NOTE: Do not call any synchronous messages functions like SendMessage in
  here! Otherwise a deadlock will occur if the main thread is waiting for this
  thread to terminate at the time the function is called. }
var
  NumHandles: Integer;
  Handles: array[0..2] of THandle;
begin
  NumHandles := 2;
  Handles[0] := MainForm.ChangeThreadStopEvent;
  Handles[1] := MainForm.ChangeNotify;
  Handles[2] := MainForm.ChangeNotifyCVS;
  if Handles[2] <> 0 then
    NumHandles := 3;
  while True do begin
    case WaitForMultipleObjects(NumHandles, @Handles, False, INFINITE) of
      WAIT_OBJECT_0 + 1: begin
          if InterlockedExchange(MainForm.RefreshPending, 1) = 0 then
            SendNotifyMessage(MainForm.WindowHandle, WM_ChangeNotify, 0, 0);
          if not FindNextChangeNotification(MainForm.ChangeNotify) then
            Break;
        end;
      WAIT_OBJECT_0 + 2: begin
          if InterlockedExchange(MainForm.RefreshPending, 1) = 0 then
            SendNotifyMessage(MainForm.WindowHandle, WM_ChangeNotify, 0, 0);
          if not FindNextChangeNotification(MainForm.ChangeNotifyCVS) then
            Break;
        end;
    else
      Break;
    end;
  end;
  if MainForm.ChangeNotifyCVS <> 0 then begin
    FindCloseChangeNotification(MainForm.ChangeNotifyCVS);
    MainForm.ChangeNotifyCVS := 0;
  end;
  FindCloseChangeNotification(MainForm.ChangeNotify);
  MainForm.ChangeNotify := 0;
  Result := 0;
end;

type
  PPipeThreadFuncData = ^TPipeThreadFuncData;
  TPipeThreadFuncData = record
    Wnd: HWND;
    Process: THandle;
    ReadPipe: THandle;
    IgnoreExitCode: Boolean;
    PostCmdLine, PostTempFileToDelete: String;
  end;

function PipeThreadFunc(Data: PPipeThreadFuncData): Integer;
{ This thread continually pipes text from Data.ReadPipe into MainForm's log
  window, until the process terminates. }
var
  Buf: array[0..4095] of Char;
  NumRead: DWORD;
  S: String;
  ExitCode: DWORD;
begin
  while ReadFile(Data.ReadPipe, Buf, SizeOf(Buf), NumRead, nil) do begin
    SetString(S, Buf, NumRead);
    SendMessage(Data.Wnd, WM_CVSNotify, 0, LPARAM(S));
  end;
  CloseHandle(Data.ReadPipe);
  WaitForSingleObject(Data.Process, INFINITE);
  if not Data.IgnoreExitCode then begin
    GetExitCodeProcess(Data.Process, ExitCode);
    if ExitCode = 0 then begin
      S := '...Success'#13#10;
      SendMessage(Data.Wnd, WM_CVSNotify, 0, LPARAM(S));
    end
    else begin
      S := Format('...Failed with exit code %d'#13#10, [ExitCode]);
      SendMessage(Data.Wnd, WM_CVSNotify, 0, LPARAM(S));
      Data.PostCmdLine := '';
    end;
  end;
  CloseHandle(Data.Process);
  FreeConsole;  { we call AllocConsole when doing a cvs login }
  SendMessage(Data.Wnd, WM_CVSNotify, 1, LPARAM(Data));
  Result := 0;
end;

type
  PWaitAndDeleteThreadData = ^TWaitAndDeleteThreadData;
  TWaitAndDeleteThreadData = record
    Process: THandle;
    Filename: String;
  end;
var
  WaitAndDeleteThreadCount: Integer;

function WaitAndDeleteThreadFunc(Data: PWaitAndDeleteThreadData): Integer;
{ This thread waits for a process to terminate, and deletes Data.Filename
  when it does.
  The thread can be terminated prematurely by signaling
  MainForm.TerminatingEvent. }
var
  Handles: array[0..1] of THandle;
begin
  InterlockedIncrement(WaitAndDeleteThreadCount);
  Handles[0] := Data.Process;
  Handles[1] := MainForm.TerminatingEvent;
  WaitForMultipleObjects(2, @Handles, False, INFINITE);
  CloseHandle(Data.Process);
  DeleteFile(Data.Filename);
  Dispose(Data);
  InterlockedDecrement(WaitAndDeleteThreadCount);
  Result := 0;
end;


{ TMainForm }

constructor TMainForm.Create(AOwner: TComponent);

  procedure InitializeListImages;
  const
    ImageListFlags: array[Boolean] of UINT = (ILC_COLOR8 or ILC_MASK,
      ILC_COLOR32 or ILC_MASK);
  var
    Bmp: HBITMAP;
  begin
    { Must use a 32-bit image list on Windows XP because its folder icon
      has an alpha channel. But don't use a 32-bit image list on previous
      Windows versions (those with COMCTL32.DLL < 6.0) because doing so makes
      highlighted images have an unsightly dithered effect. }
    {$R Images.res}
    ListImages.Handle := ImageList_Create(16, 16,
      ImageListFlags[GetComCtlVersion >= $60000], 0, 2);
    ImageList_AddIcon(ListImages.Handle, LoadIcon(GetModuleHandle(shell32),
      MAKEINTRESOURCE(4)));  { folder icon }
    Bmp := LoadBitmap(HInstance, 'IMAGES');
    ImageList_AddMasked(ListImages.Handle, Bmp, clFuchsia);
    DeleteObject(Bmp);
  end;

begin
  inherited;

  TerminatingEvent := CreateEvent(nil, True, False, nil);
  ChangeThreadStopEvent := CreateEvent(nil, True, False, nil);
  Repositories := TList.Create;

  OurTempDir := AddBackslash(GetTempDir) + 'innocvs.tmp';
  Dir := GetCurrentDir;
  if ParamStr(1) <> '' then begin
    Dir := RemoveBackslashUnlessRoot(ExpandFileName(ParamStr(1)));
    DirFromCmdLine := True;
  end;

  { Initialize the list view's image list }
  InitializeListImages;

  { Set default config settings }
  CVSHomeDir := GetEnv('HOMEDRIVE') + GetEnv('HOMEPATH');
  if CVSHomeDir = '' then
    CVSHomeDir := GetEnv('HOME');
  if CVSHomeDir = '' then
    CVSHomeDir := GetWinDir;
  ProgramCVS := '"cvs.exe"';
  ProgramTextViewer := '"notepad.exe"';
  ProgramExternalDiff := '"windiff.exe"';

  ListView.WindowProc := ListViewWndProc;
  { Can't set Position at design time or else the size of our Anchored controls
    gets messed up }
  Position := poDefault;

  ListView_SetExtendedListViewStyle(ListView.Handle,
    ListView_GetExtendedListViewStyle(ListView.Handle) or LVS_EX_HEADERDRAGDROP);
  { Ensure that the Column Order is restored only the first time }
  SetColumnOrder := True;
end;

destructor TMainForm.Destroy;
begin
  StopChangeNotification;
  CloseHandle(ChangeThreadStopEvent);
  ChangeThreadStopEvent := 0;
  SetEvent(TerminatingEvent);
  while WaitAndDeleteThreadCount > 0 do
    Sleep(0);
  CloseHandle(TerminatingEvent);
  TerminatingEvent := 0;
  inherited;
  FreeRepositories;
  if OurTempDir <> '' then
    RemoveDir(OurTempDir);
end;

procedure TMainForm.FreeRepositories;
var
  I: Integer;
begin
  if Assigned(Repositories) then begin
    for I := Repositories.Count-1 downto 0 do
      Dispose(PRepository(Repositories[I]));
    Repositories.Free;
  end;
end;

procedure TMainForm.UpdateColumns;
const
  FormatFlags = LVCFMT_IMAGE or LVCFMT_BITMAP_ON_RIGHT;
var
  I: Integer;
  Column: TLVColumn;
begin
  for I := 0 to ListView.Columns.Count-1 do begin
    Column.mask := LVCF_FMT or LVCF_IMAGE;
    if ListView_GetColumn(ListView.Handle, I, Column) then begin
      if SortColumn = I then
        Column.fmt := Column.fmt or FormatFlags
      else
        Column.fmt := Column.fmt and not FormatFlags;
      if not SortDescending then
        Column.iImage := iiSortAscending
      else
        Column.iImage := iiSortDescending;
      ListView_SetColumn(ListView.Handle, I, Column);
    end;
  end;
end;

procedure TMainForm.FormCreate(Sender: TObject);
var
  Reg: TRegIniFile;
  S: String;
  I: Integer;
  WindowPlacement: TWindowPlacement;
  Rep: PRepository;
  SL: TStringList;
begin
  try
    { Read settings }
    Reg := TRegIniFile.Create(SRegistryRootPath, KEY_READ);
    try
      { Options }
      S := Reg.ReadString('Options', 'CVSHomeDir', '');
      if S <> '' then
        CVSHomeDir := S;
      ProgramCVS := Reg.ReadString('Options', 'ProgramCVS', ProgramCVS);
      ProgramTextViewer := Reg.ReadString('Options', 'ProgramTextViewer', ProgramTextViewer);
      ProgramExternalDiff := Reg.ReadString('Options', 'ProgramExternalDiff', ProgramExternalDiff);
      if Reg.ReadBool('Options', 'OpenInNotepadByDefault', False) then begin
        FOpen.Default := False;
        FOpenInNotepad.Default := True;
      end;

      { State }
      S := Reg.ReadString('State', 'Directory', '');
      if not DirFromCmdLine and (S <> '') then
        Dir := S;
      if AnsiCompareFileName(Dir, S) = 0 then begin
        New(SavedListState);
        try
          SavedListState.ScrollPosition := Reg.ReadInteger('State', 'SavedScrollPosition', 0);
          SavedListState.FocusedItem := Reg.ReadString('State', 'SavedFocusedItem', '');
          SavedListState.SelectedItems := Reg.ReadString('State', 'SavedSelectedItems', '');
        except
          Dispose(SavedListState);
          SavedListState := nil;
        end;
      end;
      ColumnOrder := Reg.ReadString('State', 'SavedColumnOrder', '0,5,1,2,3,4');
      SortColumn := Reg.ReadInteger('State', 'SortColumn', 0);
      SortDescending := Reg.ReadBool('State', 'SortDescending', False);
      ViewRecursive := Reg.ReadBool('State', 'ViewRecursive', False);
      ViewIgnoredFiles := Reg.ReadBool('State', 'ViewIgnoredFiles', True);
      ViewNonCVSFiles := Reg.ReadBool('State', 'ViewNonCVSFiles', True);
      ViewUnmodifiedFiles := Reg.ReadBool('State', 'ViewUnmodifiedFiles', True);
      ListView.Columns[ciName].Width := Reg.ReadInteger('State',
        'ColumnWidthName', ListView.Columns[ciName].Width);
      ListView.Columns[ciRevision].Width := Reg.ReadInteger('State',
        'ColumnWidthRevision', ListView.Columns[ciRevision].Width);
      ListView.Columns[ciType].Width := Reg.ReadInteger('State',
        'ColumnWidthType', ListView.Columns[ciType].Width);
      ListView.Columns[ciDate].Width := Reg.ReadInteger('State',
        'ColumnWidthDate', ListView.Columns[ciDate].Width);
      ListView.Columns[ciTag].Width := Reg.ReadInteger('State',
        'ColumnWidthTag', ListView.Columns[ciTag].Width);
      ColumnWidthPath := Reg.ReadInteger('State', 'ColumnWidthPath', 128);
      for I := 0 to Reg.ReadInteger('History', '', 0)-1 do begin
        S := Reg.ReadString('History', IntToStr(I), '');
        if S <> '' then
          ComboBox.Items.Add(S);
      end;

      WindowPlacement.length := SizeOf(WindowPlacement);
      GetWindowPlacement (Handle, @WindowPlacement);
      if Reg.ReadBool('State', 'WindowMaximized', False) then
        WindowPlacement.showCmd := SW_SHOWMAXIMIZED;
      WindowPlacement.rcNormalPosition.Left := Reg.ReadInteger('State',
        'WindowLeft', WindowPlacement.rcNormalPosition.Left);
      WindowPlacement.rcNormalPosition.Top := Reg.ReadInteger('State',
        'WindowTop', WindowPlacement.rcNormalPosition.Top);
      WindowPlacement.rcNormalPosition.Right := Reg.ReadInteger('State',
        'WindowRight', WindowPlacement.rcNormalPosition.Right);
      WindowPlacement.rcNormalPosition.Bottom := Reg.ReadInteger('State',
        'WindowBottom', WindowPlacement.rcNormalPosition.Bottom);
      SetWindowPlacement (Handle, @WindowPlacement);
    finally
      Reg.Free;
    end;

    { Read repositories }
    SL := nil;
    Reg := TRegIniFile.Create(SRegistryRootPath + '\Repositories', KEY_READ);
    try
      SL := TStringList.Create;
      Reg.ReadSections(SL);
      for I := 0 to SL.Count-1 do begin
        New(Rep);
        Rep.Name := SL[I];
        Rep.Host := Reg.ReadString(SL[I], 'Host', '');
        Rep.Path := Reg.ReadString(SL[I], 'Path', '');
        Rep.UserName := Reg.ReadString(SL[I], 'UserName', '');
        Rep.ServerType := Reg.ReadInteger(SL[I], 'ServerType', 0);
        Repositories.Add(Rep);
      end;
    finally
      SL.Free;
      Reg.Free;
    end;
  except
    Application.HandleException(Self);
  end;
  UpdateColumns;
  PostMessage(Handle, WM_InitialUpdateList, 0, 0);
end;

procedure TMainForm.WMInitialUpdateList(var Message: TMessage);
begin
  Update;
  ChangeDir(Dir);
  if ListView.SelCount > 0 then
    ListView.Selected.MakeVisible(False);
end;

procedure TMainForm.FormDestroy(Sender: TObject);

  function GetSelectedItems: String;
  var
    ListItem: TListItem;
  begin
    Result := '';
    ListItem := nil;
    while True do begin
      ListItem := ListView.GetNextItem(ListItem, sdAll, [isSelected]);
      if ListItem = nil then
        Break;
      if Result <> '' then
        Result := Result + '*';
      Result := Result + GetItemFilename(ListItem);
      if Length(Result) >= 4000 then begin
        { don't store a huge value in the registry }
        Result := '';
        Break;
      end;
    end;
  end;

  function GetColumnOrder: String;

    function GetColumnOrderString(OrderArray: array of Integer): String;
    var
      I: Integer;
    begin
      Result := '';
      for I := Low(OrderArray) to High(OrderArray) do begin
        { We may have to manually insert the Path index into this list }
        if not ViewRecursive and (I = LastPathIndex) then begin
          if Result <> '' then
            Result := Result + ',';
          Result := Result + IntToStr(ciPath);
        end;

        if Result <> '' then
          Result := Result + ',';
        Result := Result + IntToStr(OrderArray[I]);
      end;
      if not ViewRecursive and (LastPathIndex > High(OrderArray)) then begin
        if Result <> '' then
          Result := Result + ',';
        Result := Result + IntToStr(ciPath);
      end;
    end;

  var
    OrderArrayVR: array[0..ciMax] of Integer;
    OrderArray: array[0..ciMax-1] of Integer;
  begin
    if ViewRecursive then begin
      ListView_GetColumnOrderArray(ListView.Handle,
        SizeOf(OrderArrayVR) div SizeOf(Integer), @OrderArrayVR);
      Result := GetColumnOrderString(OrderArrayVR);
    end else begin
      ListView_GetColumnOrderArray(ListView.Handle,
        SizeOf(OrderArray) div SizeOf(Integer), @OrderArray);
      Result := GetColumnOrderString(OrderArray);
    end;
  end;

var
  Reg: TRegIniFile;
  I: Integer;
  WindowPlacement: TWindowPlacement;
begin
  { Save settings }
  Reg := TRegIniFile.Create(SRegistryRootPath);
  try
    { Options }
    Reg.WriteString('Options', 'CVSHomeDir', CVSHomeDir);
    Reg.WriteString('Options', 'ProgramCVS', ProgramCVS);
    Reg.WriteString('Options', 'ProgramTextViewer', ProgramTextViewer);
    Reg.WriteString('Options', 'ProgramExternalDiff', ProgramExternalDiff);
    Reg.WriteBool('Options', 'OpenInNotepadByDefault', FOpenInNotepad.Default);

    { State }
    Reg.WriteString('State', 'Directory', Dir);
    Reg.WriteInteger('State', 'SavedScrollPosition', ListView_GetTopIndex(ListView.Handle));
    Reg.WriteString('State', 'SavedFocusedItem', GetFocusedItem);
    Reg.WriteString('State', 'SavedSelectedItems', GetSelectedItems);
    Reg.WriteString('State', 'SavedColumnOrder', GetColumnOrder);
    Reg.WriteInteger('State', 'SortColumn', SortColumn);
    Reg.WriteBool('State', 'SortDescending', SortDescending);
    Reg.WriteBool('State', 'ViewRecursive', ViewRecursive);
    Reg.WriteBool('State', 'ViewIgnoredFiles', ViewIgnoredFiles);
    Reg.WriteBool('State', 'ViewNonCVSFiles', ViewNonCVSFiles);
    Reg.WriteBool('State', 'ViewUnmodifiedFiles', ViewUnmodifiedFiles);
    Reg.WriteInteger('State', 'ColumnWidthName', ListView.Columns[ciName].Width);
    Reg.WriteInteger('State', 'ColumnWidthRevision', ListView.Columns[ciRevision].Width);
    Reg.WriteInteger('State', 'ColumnWidthType', ListView.Columns[ciType].Width);
    Reg.WriteInteger('State', 'ColumnWidthDate', ListView.Columns[ciDate].Width);
    Reg.WriteInteger('State', 'ColumnWidthTag', ListView.Columns[ciTag].Width);
    if ViewRecursive then
      ColumnWidthPath := ListView.Columns[ciPath].Width;
    Reg.WriteInteger('State', 'ColumnWidthPath', ColumnWidthPath);
    Reg.EraseSection('History');
    Reg.WriteString('History', '', IntToStr(ComboBox.Items.Count));
    for I := 0 to ComboBox.Items.Count-1 do
      Reg.WriteString('History', IntToStr(I), ComboBox.Items[I]);

    WindowPlacement.length := SizeOf(WindowPlacement);
    GetWindowPlacement (Handle, @WindowPlacement);
    Reg.WriteInteger ('State', 'WindowLeft', WindowPlacement.rcNormalPosition.Left);
    Reg.WriteInteger ('State', 'WindowTop', WindowPlacement.rcNormalPosition.Top);
    Reg.WriteInteger ('State', 'WindowRight', WindowPlacement.rcNormalPosition.Right);
    Reg.WriteInteger ('State', 'WindowBottom', WindowPlacement.rcNormalPosition.Bottom);
    Reg.WriteBool ('State', 'WindowMaximized', WindowState = wsMaximized);
  finally
    Reg.Free;
  end;
end;

function TMainForm.MakeCVSEnvironment: String;
{ Returns a new environment block, suitable for passing to CreateProcess,
  that has any HOME, HOMEDRIVE, and HOMEPATH environment variables stripped
  out and replaced with new HOMEDRIVE and HOMEPATH variables that correspond
  to CVSHomeDir. }
var
  P: PChar;
  Dir, S: String;
begin
  Result := '';
  P := GetEnvironmentStrings;
  while P^ <> #0 do begin
    if (StrLIComp(P, 'HOME=', 5) <> 0) and
       (StrLIComp(P, 'HOMEDRIVE=', 10) <> 0) and
       (StrLIComp(P, 'HOMEPATH=', 9) <> 0) then
      Result := Result + P + #0;
    Inc(P, StrLen(P)+1);
  end;
  Dir := RemoveBackslashUnlessRoot(AddBackslash(CVSHomeDir));
  S := ExtractFileDrive(Dir);
  Result := Result + 'HOMEDRIVE=' + S + #0;
  S := Copy(CVSHomeDir, Length(S)+1, Maxint);
  Result := Result + 'HOMEPATH=' + S + #0;
end;

procedure TMainForm.FormCloseQuery(Sender: TObject; var CanClose: Boolean);
begin
  { Don't close if a background CVS operation is in progress }
  CanClose := (CVSThread = 0);
end;

procedure TMainForm.CheckCVSThread;
{ Raises an exception if a background CVS operation is in progress }
begin
  if CVSThread <> 0 then
    raise Exception.Create('Another CVS operation is already in progress');
end;

procedure TMainForm.Exec(const CmdLine: String; const TempFileToDelete: String);
{ Executes CmdLine without redirecting output.
  If TempFileToDelete <> '', it will wait in the background for the process to
  terminate and then delete TempFileToDelete. }
var
  StartupInfo: TStartupInfo;
  ProcessInfo: TProcessInformation;
  Data: PWaitAndDeleteThreadData;
  ThreadId, LastError: DWORD;
begin
  //LogCmd(CmdLine);
  FillChar(StartupInfo, SizeOf(StartupInfo), 0);
  StartupInfo.cb := SizeOf(StartupInfo);
  Win32Check(CreateProcess(nil, PChar(CmdLine), nil, nil, False, 0, nil,
    PChar(Dir), StartupInfo, ProcessInfo));
  CloseHandle(ProcessInfo.hThread);
  if TempFileToDelete = '' then
    CloseHandle(ProcessInfo.hProcess)
  else begin
    New(Data);
    Data.Process := ProcessInfo.hProcess;
    Data.Filename := TempFileToDelete;
    if BeginThread(nil, 0, @WaitAndDeleteThreadFunc, Data, 0, ThreadId) = 0 then begin
      LastError := GetLastError;
      CloseHandle(ProcessInfo.hProcess);
      Dispose(Data);
      SetLastError(LastError);
      RaiseLastWin32Error;
    end;
  end;
end;

function TMainForm.GenerateTempFilename(const TempNameFormat: String): String;
{ Generates a temporary filename. TempNameFormat must include '***', which is
  replaced with a unique number. If TempNameFormat includes a pathname, it is
  stripped out. }
var
  S: String;
  I, P: Integer;
begin
  S := OurTempDir + '\' + ExtractFileName(TempNameFormat);
  for I := 0 to 999 do begin
    Result := S;
    P := Pos('***', Result);
    Assert(P > 0);
    if P = 0 then
      Break;
    Delete(Result, P, 3);
    Insert(IntToStr(I), Result, P);
    if not NewFileExists(Result) then
      Break;
  end;
end;

function TMainForm.GetItemFilename(const ListItem: TListItem): String;
begin
  if not ViewRecursive then
    Result := ListItem.Caption
  else
    Result := AddBackslash(ListItem.SubItems[ciPath-1]) + ListItem.Caption;
end;

function TMainForm.GetFocusedItem: String;
var
  ListItem: TListItem;
begin
  ListItem := ListView.ItemFocused;
  if Assigned(ListItem) then
    Result := GetItemFilename(ListItem)
  else
    Result := '';
end;

function TMainForm.GetSelFileList: String;
{ Returns list of selected filenames, separated by spaces.
  The first filename has a leading space. }
var
  ListItem: TListItem;
begin
  Result := '';
  ListItem := nil;
  while True do begin
    ListItem := ListView.GetNextItem(ListItem, sdAll, [isSelected]);
    if ListItem = nil then
      Break;
    Result := Result + ' ' + AddQuotes(GetItemFilename(ListItem));
  end;
end;

procedure TMainForm.StopChangeNotification;
begin
  if ChangeThread <> 0 then begin
    SetEvent(ChangeThreadStopEvent);
    WaitForSingleObject(ChangeThread, INFINITE);
    CloseHandle(ChangeThread);
    ChangeThread := 0;
  end;
end;

procedure TMainForm.StartChangeNotification;
var
  ThreadId: DWORD;
  CVSDirName: String;
begin
  StopChangeNotification;
  ChangeNotify := FindFirstChangeNotification(PChar(Dir), ViewRecursive,
    FILE_NOTIFY_CHANGE_FILE_NAME or FILE_NOTIFY_CHANGE_DIR_NAME or
    FILE_NOTIFY_CHANGE_ATTRIBUTES or FILE_NOTIFY_CHANGE_SIZE or
    FILE_NOTIFY_CHANGE_LAST_WRITE);
  if ChangeNotify = INVALID_HANDLE_VALUE then
    ChangeNotify := 0;
  if ChangeNotify = 0 then
    RaiseLastWin32Error;
  if not ViewRecursive then begin
    CVSDirName := AddBackslash(Dir) + 'CVS';
    if DirExists(CVSDirName) then begin
      ChangeNotifyCVS := FindFirstChangeNotification(PChar(CVSDirName), False,
        FILE_NOTIFY_CHANGE_FILE_NAME or FILE_NOTIFY_CHANGE_ATTRIBUTES or
        FILE_NOTIFY_CHANGE_SIZE or FILE_NOTIFY_CHANGE_LAST_WRITE);
      if ChangeNotifyCVS = INVALID_HANDLE_VALUE then
        ChangeNotifyCVS := 0;
    end;
  end;
  ResetEvent(ChangeThreadStopEvent);
  ChangeThread := BeginThread(nil, 0, @ChangeThreadFunc, Self, 0, ThreadId);
end;

procedure TMainForm.ChangeDir(const ADir: String);
var
  LastDir: String;
  I: Integer;

  function CompareDate(FileTime: TFileTime; Text: String): Boolean;
  var
    CVSTime, FT: TFileTime;
    SysTime: TSystemTime;
    DaylightInfo: TDaylightInfo;
  begin
    CVSTime := CTimeToFileTime(Text);
    if Int64(CVSTime) = 0 then begin
      Result := False;
      Exit;
    end;
    FileTimeToLocalFileTime(FileTime, FT);
    Win32Check(FileTimeToSystemTime(FT, SysTime));
    if GetDaylightInfoForYear(SysTime.wYear, DaylightInfo) and
       (CompareFileTime(FT, DaylightInfo.StartTime) >= 0) and
       (CompareFileTime(FT, DaylightInfo.EndTime) < 0) then
      Inc(Int64(FileTime), Int64(DaylightInfo.Bias) * 600000000);
    Result := (Int64(FileTime) div 10000000) = (Int64(CVSTime) div 10000000);
  end;

  procedure RestoreScrollPosition(const SaveTopIndex: Integer);
  var
    R: TRect;
    VisibleItems: Integer;
  begin
    if (SaveTopIndex > 0) and (ListView.Items.Count > 1) then begin
      R := ListView.Items[0].DisplayRect(drBounds);
      VisibleItems := (ListView.ClientHeight - R.Top) div (R.Bottom - R.Top);
      I := SaveTopIndex + (VisibleItems - 1);
      if I >= ListView.Items.Count then
        I := ListView.Items.Count-1;
      ListView.Items[I].MakeVisible(True);
    end;
  end;

  procedure GetSelectedItems(const ASelectedItems: TStringList);
  var
    ListItem: TListItem;
  begin
    ListItem := nil;
    while True do begin
      ListItem := ListView.GetNextItem(ListItem, sdAll, [isSelected]);
      if ListItem = nil then
        Break;
      ASelectedItems.Add(GetItemFilename(ListItem));
    end;
  end;

  procedure GetSelectedItemsFromSavedListState(const ASelectedItems: TStringList);
  var
    P, X: PChar;
    S: String;
  begin
    P := PChar(SavedListState.SelectedItems);
    while P^ <> #0 do begin
      X := StrScan(P, '*');
      if X = nil then begin
        ASelectedItems.Add(P);
        Break;
      end;
      SetString(S, P, X - P);
      ASelectedItems.Add(S);
      P := X + 1;
    end;
  end;

  procedure RestoreColumnOrder;
  var
    P, X: PChar;
    S: String;
    OrderArray: array[0..ciMax-1] of Integer;
    I, Ci: Integer;
  begin
    P := PChar(ColumnOrder);
    I := 0;
    try
      while P^ <> #0 do begin
        X := StrScan(P, ',');
        if X = nil then begin
          Ci := StrToInt(P);
          if Ci <> ciPath then
            OrderArray[I] := Ci
          else
            LastPathIndex := I;
          Break;
        end;
        SetString(S, P, X - P);
        Ci := StrToInt(S);
        if Ci <> ciPath then begin
          OrderArray[I] := Ci;
          Inc(I);
        end
        else
          LastPathIndex := I;
        P := X + 1;
      end;
    except
      { Just in case }
      for Ci := 0 to High(OrderArray) do
        OrderArray[Ci] := Ci;
      LastPathIndex := 1;
    end;

    ListView_SetColumnOrderArray(ListView.Handle,
      SizeOf(OrderArray) div SizeOf(Integer), @OrderArray);
  end;

  procedure RestoreSelectedItems(const AList: TStringList;
    const AFocusedItem: String);

    function FindItemWithFilename(const AFilename: String): TListItem;
    var
      I: Integer;
    begin
      for I := 0 to ListView.Items.Count-1 do begin
        Result := ListView.Items[I];
        if GetItemFilename(Result) = AFilename then
          Exit;
      end;
      Result := nil;
    end;

  var
    I: Integer;
    Item: TListItem;
  begin
    for I := 0 to AList.Count-1 do begin
      Item := FindItemWithFilename(AList[I]);
      if Assigned(Item) then
        Item.Selected := True;
    end;
    if AFocusedItem <> '' then begin
      Item := FindItemWithFilename(AFocusedItem);
      if Assigned(Item) then
        Item.Focused := True;
    end;
  end;

  procedure Recurse(const Subdir: String);
  var
    EntriesList, IgnoredFiles: TStringList;

    function GetCVSField(const Filename: String; const Index: Integer): String;
    var
      I, J: Integer;
      P: PChar;

      function ReadField: String;
      var
        P2: PChar;
      begin
        P2 := StrScan(P, '/');
        if P2 = nil then
          P2 := StrEnd(P);
        SetString(Result, P, P2 - P);
      end;

      procedure Advance;
      var
        P2: PChar;
      begin
        P2 := StrScan(P, '/');
        if P2 = nil then
          raise Exception.Create('Advance failed');
        P := P2 + 1;
      end;

    begin
      for I := 0 to EntriesList.Count-1 do begin
        P := PChar(EntriesList[I]);
        if P^ <> '/' then  { ignore 'D' entries and empty lines }
          Continue;
        Advance;
        if CompareText(Filename, ReadField) = 0 then begin
          for J := 0 to Index do begin
            Advance;
            Result := ReadField;
          end;
          Exit;
        end;
      end;
      Result := '';
    end;

    function IsIgnoredFile(Filename: String): Boolean;
    type
      TWildcardMatchResult = (wmFalse, wmTrue, wmAbort);

      function WildcardMatch(T, P: PChar): TWildcardMatchResult;
      begin
        while P^ <> #0 do begin
          case P^ of
            '?': ;  { Match any character }
            '*': begin
                   Inc(P);
                   while P^ = '*' do begin
                     { Consecutive stars act just like one }
                     Inc(P);
                   end;
                   if P^ = #0 then begin
                     { Trailing star matches everything }
                     Result := wmTrue;
                     Exit;
                   end;
                   while T^ <> #0 do begin
                     Result := WildcardMatch(T, P);
                     if Result <> wmFalse then
                       Exit;
                     Inc(T);
                   end;
                   Result := wmAbort;
                   Exit;
                 end;
          else
            if T^ <> P^ then begin
              Result := wmFalse;
              Exit;
            end;
          end;
          Inc(T);
          Inc(P);
        end;
        if T^ = #0 then
          Result := wmTrue
        else
          Result := wmFalse;
      end;

    var
      I: Integer;
    begin
      Result := False;
      Filename := AnsiLowerCaseFilename(Filename);
      for I := 0 to IgnoredFiles.Count-1 do
        if (IgnoredFiles[I] <> '') and
           (WildcardMatch(PChar(Filename),
            PChar(AnsiLowerCaseFilename(IgnoredFiles[I]))) = wmTrue) then begin
          Result := True;
          Break;
        end;
    end;

  var
    CurDir, N, S: String;
    H: THandle;
    FindData: TWin32FindData;
    IsCVSFile, IsAnIgnoredFile, IsModifiedFile, IsBinaryFile: Boolean;
  begin
    CurDir := AddBackslash(Dir) + AddBackslash(Subdir);

    EntriesList := TStringList.Create;
    IgnoredFiles := TStringList.Create;
    try
      { Read CVS\Entries and .cvsignore }
      if NewFileExists(CurDir + 'CVS\Entries') then begin
        EntriesList.LoadFromFile(CurDir + 'CVS\Entries');
        if NewFileExists(CurDir + '.cvsignore') then
          IgnoredFiles.LoadFromFile(CurDir + '.cvsignore');
      end;

      { Add directories }
      H := FindFirstFile(PChar(CurDir + '*'), FindData);
      if H <> INVALID_HANDLE_VALUE then begin
        try
          repeat
            if (FindData.dwFileAttributes and FILE_ATTRIBUTE_DIRECTORY <> 0) and
               (StrComp(FindData.cFileName, '.') <> 0) and
               (StrIComp(FindData.cFileName, 'CVS') <> 0) then begin
              if not ViewRecursive then begin
                with ListView.Items.Add do begin
                  Caption := FindData.cFileName;
                  ImageIndex := iiFolder;
                  Data := Pointer(1);  { means it's a directory }
                  Subitems.Add('');
                  Subitems.Add('');
                  Subitems.Add('');
                  Subitems.Add('');
                end;
              end
              else begin
                if StrComp(FindData.cFileName, '..') <> 0 then begin
                  N := FindData.cFileName;
                  if DirExists(AddBackslash(CurDir + N) + 'CVS') then
                    Recurse(AddBackslash(SubDir) + N);
                end;
              end;
            end;
          until not FindNextFile(H, FindData);
        finally
          Windows.FindClose(H);
        end;
      end;

      { Add files }
      H := FindFirstFile(PChar(CurDir + '*'), FindData);
      if H <> INVALID_HANDLE_VALUE then begin
        try
          repeat
            if FindData.dwFileAttributes and FILE_ATTRIBUTE_DIRECTORY = 0 then begin
              N := FindData.cFileName;
              IsCVSFile := (GetCVSField(N, 0) <> '');
              if not (ViewNonCVSFiles or IsCVSFile) then
                Continue;
              IsAnIgnoredFile := not IsCVSFile and IsIgnoredFile(N);
              if IsAnIgnoredFile and not ViewIgnoredFiles then
                Continue;
              IsModifiedFile := not CompareDate(FindData.ftLastWriteTime, GetCVSField(N, 1));
              if not ViewUnmodifiedFiles and not (IsCVSFile and IsModifiedFile) then
                Continue;
              with ListView.Items.Add do begin
                Caption := N;
                if IsCVSFile then begin
                  IsBinaryFile := False;
                  { Rev. }
                  Subitems.Add(GetCVSField(N, 0));
                  { Type }
                  S := GetCVSField(N, 2);
                  if S = '' then
                    S := 'Text'
                  else if S = '-kb' then begin
                    S := 'Binary';
                    IsBinaryFile := True;
                  end;
                  Subitems.Add(S);
                  { Date }
                  Subitems.Add(GetCVSField(N, 1));
                  { Actual file date }
                  //Win32Check(FileTimeToSystemTime(FindData.ftLastWriteTime, ST));
                  //Subitems.Add(Format('%.4d-%.2d-%.2d %.2d:%.2d:%.2d',
                  //  [ST.wYear, ST.wMonth, ST.wDay, ST.wHour, ST.wMinute, ST.wSecond]));
                  { Tag }
                  Subitems.Add(Copy(GetCVSField(N, 3), 2, Maxint));
                  { Image }
                  if IsBinaryFile and IsModifiedFile then
                    ImageIndex := iiModifiedBinaryFile
                  else if IsBinaryFile then
                    ImageIndex := iiBinaryFile
                  else if IsModifiedFile then
                    ImageIndex := iiModifiedFile
                  else
                    ImageIndex := iiFile;
                end
                else begin
                  { non-CVS or ignored file }
                  Subitems.Add('');
                  if IsAnIgnoredFile then begin
                    //Subitems.Add('Ignored');
                    Subitems.Add('');
                    ImageIndex := iiIgnoredFile;
                  end
                  else begin
                    //Subitems.Add('Non-CVS');
                    Subitems.Add('');
                    ImageIndex := iiNonCVSFile;
                  end;
                  Subitems.Add('');
                  Subitems.Add('');
                end;
                if ViewRecursive then
                  Subitems.Add(Subdir);
              end;
            end;
          until not FindNextFile(H, FindData);
        finally
          Windows.FindClose(H);
        end;
      end;
    finally
      IgnoredFiles.Free;
      EntriesList.Free;
    end;
  end;

var
  //ST: TSystemTIme;
  EntriesFile: String;
  SavePosition: Integer;
  SaveSelectedItems: TStringList;
  SaveFocusedItem: String;
  ColumnOrderArray: array[0..ciMax] of Integer;
  OldColumnOrderArray: array[0..ciMax-1] of Integer;
  Idx: Integer;
begin
  LastDir := Dir;
  Dir := RemoveBackslashUnlessRoot(ExpandFileName(ADir));

  { Add dir to combo box, or move it to the top }
  I := ComboBox.Items.IndexOf(Dir);
  if I <> -1 then begin
    ComboBox.Items.Move(I, 0);
    ComboBox.ItemIndex := 0;
  end
  else begin
    while ComboBox.Items.Count > 20 do
      ComboBox.Items.Delete(ComboBox.Items.Count-1);
    ComboBox.Items.Insert(0, Dir);
  end;
  ComboBox.Text := Dir;

  EntriesFile := AddBackslash(Dir) + 'CVS\Entries';
  IsCVSDir := NewFileExists(EntriesFile);

  { Update caption }
  if IsCVSDir then
    Caption := 'InnoCVS ' + Version + ' - ' + Dir
  else
    Caption := 'InnoCVS ' + Version + ' - ' + Dir + '  [non-CVS directory]';
  Application.Title := Caption;

  SaveSelectedItems := TStringList.Create;
  try
    Screen.Cursor := crHourglass;

    if SetColumnOrder then begin
      RestoreColumnOrder;
      SetColumnOrder := False;
    end;

    { Save list state }
    if AnsiCompareFileName(Dir, LastDir) = 0 then begin
      if SavedListState = nil then begin
        SavePosition := ListView_GetTopIndex(ListView.Handle);
        GetSelectedItems(SaveSelectedItems);
        SaveFocusedItem := GetFocusedItem;
      end
      else begin
        SavePosition := SavedListState.ScrollPosition;
        SaveFocusedItem := SavedListState.FocusedItem;
        GetSelectedItemsFromSavedListState(SaveSelectedItems);
        Dispose(SavedListState);
        SavedListState := nil;
      end;
    end
    else
      SavePosition := 0;

    { Begin recreating the list }
    ListView.Items.BeginUpdate;
    try
      ListView.Items.Clear;

      { Update 'Path' column visibility }
      if ViewRecursive <> LastViewRecursive then begin
        LastViewRecursive := ViewRecursive;
        if ViewRecursive then begin
          { Make sure we get the column order before adding the column - that
            will re-set the column order. }
          ListView_GetColumnOrderArray(ListView.Handle,
            SizeOf(OldColumnOrderArray) div SizeOf(Integer), @OldColumnOrderArray);

          with ListView.Columns.Add do begin
            Caption := 'Path';
            Width := ColumnWidthPath;
          end;

          { Don't assign to TListColumn.Index since it reorders the Columns
            array, which we don't want... }
          Idx := 0;
          for I := Low(ColumnOrderArray) to High(ColumnOrderArray) do
            if I = LastPathIndex then
              ColumnOrderArray[I] := ciPath
            else begin
              ColumnOrderArray[I] := OldColumnOrderArray[Idx];
              Inc(Idx);
            end;
          ListView_SetColumnOrderArray(ListView.Handle,
            SizeOf(ColumnOrderArray) div SizeOf(Integer), @ColumnOrderArray);
        end
        else begin
          if SortColumn = ciPath then begin
            SortColumn := ciName;
            SortDescending := False;
          end;
          ColumnWidthPath := ListView.Columns[ciPath].Width;

          { Store the old column order before we remove the path item }
          ListView_GetColumnOrderArray(ListView.Handle,
            SizeOf(ColumnOrderArray) div SizeOf(Integer), @ColumnOrderArray);

          Idx := 0;
          for I := Low(ColumnOrderArray) to High(ColumnOrderArray) do
            if ColumnOrderArray[I] = ciPath then
              LastPathIndex := I
            else begin
              OldColumnOrderArray[IDX] := ColumnOrderArray[I];
              Inc(Idx);
            end;

          ListView.Columns.Delete(ciPath);

          { Restore the correct column order as decided by the user }
          ListView_SetColumnOrderArray(ListView.Handle,
            SizeOf(OldColumnOrderArray) div SizeOf(Integer), @OldColumnOrderArray);
        end;
        UpdateColumns;
      end;

      { Start adding items }
      Recurse('');

      { Restore list state }
      RestoreScrollPosition(SavePosition);
      RestoreSelectedItems(SaveSelectedItems, SaveFocusedItem);
    finally
      ListView.Items.EndUpdate;
    end;
    { If there is no focused item, focus the first item.
      Note: This has to be after EndUpdate or else the wrong item gets
      focused. }
    if (ListView.ItemFocused = nil) and (ListView.Items.Count > 0) then
      ListView.Items[0].Focused := True;
  finally
    Screen.Cursor := crDefault;
    SaveSelectedItems.Free;
  end;

  StartChangeNotification;
end;

procedure TMainForm.Log(const S: String);
begin
  SendMessage(Memo.Handle, EM_SETSEL, Memo.GetTextLen, Memo.GetTextLen);
  Memo.SelText := S;
end;

procedure TMainForm.LogCmd(const S: String);
begin
  Log(#13#10 + '> ' + S + #13#10);
end;

procedure TMainForm.ContinueInBackground(Process: THandle; ReadPipe: THandle;
  const IgnoreExitCode: Boolean; const APostCmdLine, TempFileToDelete: String);
var
  Data: PPipeThreadFuncData;
  ThreadId, LastError: DWORD;
begin
  Assert(CVSThread = 0);
  New(Data);
  Data.Wnd := Handle;
  Data.Process := Process;
  Data.ReadPipe := ReadPipe;
  Data.IgnoreExitCode := IgnoreExitCode;
  Data.PostCmdLine := APostCmdLine;
  Data.PostTempFileToDelete := TempFileToDelete;
  CVSThread := BeginThread(nil, 0, @PipeThreadFunc, Data, 0, ThreadId);
  if CVSThread = 0 then begin
    LastError := GetLastError;
    CloseHandle(Process);
    CloseHandle(ReadPipe);
    SetLastError(LastError);
    RaiseLastWin32Error;
  end;
  ListView.Cursor := crAppStart;
end;

procedure TMainForm.WMCVSNotify(var Message: TMessage);
var
  Data: PPipeThreadFuncData;
begin
  case Message.WParam of
    0: begin
         { Log message }
         Log(String(Message.LParam));
       end;
    1: begin
         { Pipe thread ended. Clean up and run PostCmdLine }
         CloseHandle(CVSThread);
         CVSThread := 0;
         Data := PPipeThreadFuncData(Message.LParam);
         try
           if Data.PostCmdLine <> '' then
             Exec(Data.PostCmdLine, Data.PostTempFileToDelete)
           else
             if Data.PostTempFileToDelete <> '' then
               DeleteFile(Data.PostTempFileToDelete);
         finally
           Dispose(Data);
           ListView.Cursor := crDefault;
         end;
       end;
  end;
end;

procedure TMainForm.WMChangeNotify(var Message: TMessage);
begin
  RefreshTimer.Enabled := True;
end;

procedure TMainForm.WMTimeChange(var Message: TWMTimeChange);
begin
  RefreshTimer.Enabled := True;
end;

procedure TMainForm.RefreshTimerTimer(Sender: TObject);
begin
  RefreshTimer.Enabled := False;
  { Note: Reset RefreshPending to 0 *before* calling DirChanged so that if the
    directory changes again while DirChanged is executing, we'll get another
    WM_ChangeNotify message after it returns. }
  RefreshPending := 0;
  ChangeDir(Dir);
end;

procedure TMainForm.ComboBoxKeyPress(Sender: TObject; var Key: Char);
begin
  if Key = #13 then begin
    Key := #0;
    ComboBox.DroppedDown := False;
    if ComboBox.Text <> '' then begin
      ChangeDir(ComboBox.Text);
      ListView.SetFocus;
    end
    else
      MessageBeep(0);
  end;
end;

procedure TMainForm.ComboBoxClick(Sender: TObject);
begin
  if not ComboBox.DroppedDown then
    ChangeDir(ComboBox.Items[ComboBox.ItemIndex]);
end;

procedure TMainForm.BrowseButtonClick(Sender: TObject);
var
  WindowList: Pointer;
  S: String;
begin
  WindowList := DisableTaskWindows(0);
  try
    if not BrowseForFolder(Handle, 'Select directory:', S) then
      Exit;
  finally
    EnableTaskWindows(WindowList);
  end;
  ChangeDir(S);
end;

procedure TMainForm.ListViewWndProc(var Message: TMessage);
begin
  if (Message.Msg = WM_NOTIFY) and
     (TWMNotify(Message).NMHdr.code = HDN_ENDDRAG) then
    { Don't let this notification pass to the VCL because it changes the
      column order. }
    ListView.Invalidate
  else
    TControlAccess(ListView).WndProc(Message);
  { The VCL will strip out our sort direction images; put them back. }
  if (Message.Msg = WM_NOTIFY) and
     ((TWMNotify(Message).NMHdr.code = HDN_ENDTRACK) or
      (TWMNotify(Message).NMHdr.code = HDN_DIVIDERDBLCLICK)) then
    UpdateColumns;
end;

procedure TMainForm.ListViewCompare(Sender: TObject; Item1,
  Item2: TListItem; Data: Integer; var Compare: Integer);

  function CompareRevStrings(S1, S2: PChar): Integer;

    function ExtractNumber(var P: PChar): Integer;
    begin
      Result := -1;
      while P^ in ['0'..'9'] do begin
        if Result < 0 then
          Result := 0
        else
          Result := Result * 10;
        Inc(Result, Ord(P^) - Ord('0'));
        Inc(P);
      end;
      while not (P^ in [#0, '0'..'9']) do
        Inc(P);
    end;

  begin
    repeat
      Result := ExtractNumber(S1) - ExtractNumber(S2);
    until (Result <> 0) or ((S1^ = #0) and (S2^ = #0));
  end;

begin
  Compare := Integer(Item2.Data) - Integer(Item1.Data);  { put folders before files }
  if Compare = 0 then begin
    if (SortColumn >= 1) and (SortColumn < ListView.Columns.Count) then begin
      case SortColumn of
        ciRevision: Compare := CompareRevStrings(PChar(Item1.Subitems[ciRevision-1]),
          PChar(Item2.Subitems[ciRevision-1]));
        ciDate: Compare := CompareFileTime(CTimeToFileTime(Item1.Subitems[ciDate-1]),
          CTimeToFileTime(Item2.Subitems[ciDate-1]));
        ciPath: Compare := AnsiCompareFileName(Item1.Subitems[ciPath-1],
          Item2.Subitems[ciPath-1]);
      else
        Compare := CompareStr(Item1.Subitems[SortColumn-1],
          Item2.Subitems[SortColumn-1]);
      end;
      if SortDescending then
        Compare := -Compare;
      { if they are equal, additionally sort by Caption }
      if Compare = 0 then
        Compare := AnsiCompareFileName(Item1.Caption, Item2.Caption);
      { if they are equal, additionally sort by Path }
      if (Compare = 0) and ViewRecursive and (SortColumn <> ciPath) then
        Compare := AnsiCompareFileName(Item1.Subitems[ciPath-1],
          Item2.Subitems[ciPath-1]);
    end
    else begin
      Compare := AnsiCompareFileName(Item1.Caption, Item2.Caption);
      { if they are equal, additionally sort by Path }
      if (Compare = 0) and ViewRecursive then
        Compare := AnsiCompareFileName(Item1.Subitems[ciPath-1],
          Item2.Subitems[ciPath-1]);
      if SortDescending then
        Compare := -Compare;
    end;
  end;
end;

procedure TMainForm.ListViewColumnClick(Sender: TObject;
  Column: TListColumn);
begin
  if SortColumn <> Column.Index then begin
    SortColumn := Column.Index;
    SortDescending := SortColumn in [1, 3];
  end
  else
    SortDescending := not SortDescending;
  UpdateColumns;
  ListView.AlphaSort;
end;

procedure TMainForm.ListViewKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  case Key of
    VK_BACK: begin
        { Up one level }
        ChangeDir(AddBackslash(Dir) + '..');
      end;
    VK_RETURN: ListViewDblClick(Sender);
    VK_DELETE: FDeleteClick(Sender);
  else
    Exit;
  end;
  Key := 0;
end;

procedure TMainForm.ListViewDblClick(Sender: TObject);
begin
  if ListView.SelCount <> 1 then Exit;
  if ListView.Selected.Data = nil then begin   { is it a file? }
    if FOpen.Default then
      FOpenClick(Sender)
    else
      FOpenInNotepadClick(Sender);
  end
  else
    ChangeDir(AddBackslash(Dir) + GetItemFilename(ListView.Selected));
end;

procedure TMainForm.FMenuClick(Sender: TObject);
begin
  OpenAction.Enabled := (ListView.SelCount = 1) and
    (ListView.Selected.Data = nil);  { is it a file? }
  OpenInNotepadAction.Enabled := OpenAction.Enabled;
  DeleteAction.Enabled := ListView.SelCount > 0;
end;

procedure TMainForm.FOpenClick(Sender: TObject);
var
  ErrorCode: DWORD;
begin
  if ListView.SelCount <> 1 then Exit;
  ErrorCode := ShellExecute(0, 'open', PChar(GetItemFilename(ListView.Selected)),
    nil, PChar(Dir), SW_SHOW);
  if ErrorCode = SE_ERR_NOASSOC then begin
    Application.MessageBox('There is no application associated with the file type.',
      'Open', MB_OK or MB_ICONEXCLAMATION);
    Exit;
  end;
  if ErrorCode <= 32 then
    raise Exception.CreateFmt('ShellExecute failed with code %d', [ErrorCode]);
end;

procedure TMainForm.FOpenInNotepadClick(Sender: TObject);
begin
  if ListView.SelCount <> 1 then Exit;
  Exec(ProgramTextViewer + ' ' + AddQuotes(GetItemFilename(ListView.Selected)), '');
end;

procedure TMainForm.FDeleteClick(Sender: TObject);
var
  ListItem: TListItem;
  S, Filename: String;
  SH: TSHFILEOPSTRUCT;
begin
  ListItem := nil;
  while True do begin
    ListItem := ListView.GetNextItem(ListItem, sdAll, [isSelected]);
    if ListItem = nil then
      Break;
    Filename := GetItemFilename(ListItem);
    if Filename <> '..' then  { don't let '..' be deleted }
      S := S + AddBackslash(Dir) + Filename + #0;
  end;
  if S = '' then Exit;
  FillChar(SH, SizeOf(SH), 0);
  SH.Wnd := Application.Handle;
  SH.wFunc := FO_DELETE;
  SH.pFrom := PChar(S);
  if GetKeyState(VK_SHIFT) >= 0 then
    SH.fFlags := FOF_ALLOWUNDO;
  SH.fAnyOperationsAborted := True;
  SHFileOperation(SH);
end;

procedure TMainForm.FExitClick(Sender: TObject);
begin
  Close;
end;

procedure TMainForm.VMenuClick(Sender: TObject);
begin
  VFilesInSubdirs.Checked := ViewRecursive;
  VIgnoredFiles.Checked := ViewIgnoredFiles;
  VNonCVSFiles.Checked := ViewNonCVSFiles;
  VUnmodifiedFiles.Checked := ViewUnmodifiedFiles;
  VMessages.Checked := Memo.Visible;
end;

procedure TMainForm.VRefreshClick(Sender: TObject);
begin
  ChangeDir(Dir);
end;

procedure TMainForm.VFilesInSubdirsClick(Sender: TObject);
begin
  { Need to clear items before changing ViewRecursive or else the state-saving
    code in ChangeDir will fail with an exception }
  ListView.Items.BeginUpdate;
  try
    ListView.Items.Clear;
  finally
    ListView.Items.EndUpdate;
  end;
  ViewRecursive := not ViewRecursive;
  ChangeDir(Dir);
end;

procedure TMainForm.VIgnoredFilesClick(Sender: TObject);
begin
  ViewIgnoredFiles := not ViewIgnoredFiles;
  if ViewUnmodifiedFiles then
    ChangeDir(Dir);
end;

procedure TMainForm.VNonCVSFilesClick(Sender: TObject);
begin
  ViewNonCVSFiles := not ViewNonCVSFiles;
  if ViewUnmodifiedFiles then
    ChangeDir(Dir);
end;

procedure TMainForm.VUnmodifiedFilesClick(Sender: TObject);
begin
  ViewUnmodifiedFiles := not ViewUnmodifiedFiles;
  ChangeDir(Dir);
end;

procedure TMainForm.VMessagesClick(Sender: TObject);
begin
  Splitter.Visible := not Splitter.Visible;
  Memo.Top := ClientHeight;  { prevent the splitter from falling below the memo }
  Memo.Visible := not Memo.Visible;
end;

procedure TMainForm.CMenuClick(Sender: TObject);
begin
  UpdateAction.Enabled := IsCVSDir;
  CommitAction.Enabled := IsCVSDir;
  TagAction.Enabled := IsCVSDir;
  AddAction.Enabled := IsCVSDir and (ListView.SelCount > 0);
  DiffAction.Enabled := IsCVSDir and (ListView.SelCount = 1) and
    (ListView.Selected.Data = nil);  { is it a file? };
  MakePatchAction.Enabled := IsCVSDir;
  LogAction.Enabled := IsCVSDir and (ListView.SelCount = 1);
  StatusAction.Enabled := IsCVSDir and (ListView.SelCount = 1);
end;

procedure TMainForm.ExecCVSInBackground(const CmdLine: String);
var
  ReadPipe, WritePipe: THandle;
  StartupInfo: TStartupInfo;
  ProcessInfo: TProcessInformation;
begin
  Win32Check(CreatePipe(ReadPipe, WritePipe, @InheritableSecurity, 0));
  LogCmd(CmdLine);
  FillChar(StartupInfo, SizeOf(StartupInfo), 0);
  StartupInfo.cb := SizeOf(StartupInfo);
  StartupInfo.dwFlags := STARTF_USESHOWWINDOW or STARTF_USESTDHANDLES;
  StartupInfo.wShowWindow := SW_SHOWMINNOACTIVE;
  StartupInfo.hStdOutput := WritePipe;
  StartupInfo.hStdError := WritePipe;
  Win32Check(CreateProcess(nil, PChar(CmdLine), nil, nil, True, 0,
    PChar(MakeCVSEnvironment), PChar(Dir), StartupInfo, ProcessInfo));
  CloseHandle(ProcessInfo.hThread);
  CloseHandle(WritePipe);
  ContinueInBackground(ProcessInfo.hProcess, ReadPipe, False, '', '');
end;

procedure TMainForm.CUpdateClick(Sender: TObject);
var
  UpdateForm: TUpdateForm;
  FileList, Options: String;
begin
  CheckCVSThread;
  UpdateForm := TUpdateForm.Create(Application);
  try
    if ListView.SelCount = 0 then
      UpdateForm.SelRadio.Enabled := False
    else
      UpdateForm.SelRadio.Checked := True;

    if UpdateForm.ShowModal <> mrOK then
      Exit;

    if UpdateForm.SelRadio.Checked then
      FileList := GetSelFileList;
    if UpdateForm.ResetCheck.Checked then Options := Options + 'A';
    if UpdateForm.CleanCheck.Checked then Options := Options + 'C';
    if UpdateForm.DirsCheck.Checked then Options := Options + 'd';
    if UpdateForm.PruneCheck.Checked then Options := Options + 'P';
    if UpdateForm.LocalCheck.Checked then Options := Options + 'l';
    if UpdateForm.ForceCheck.Checked then Options := Options + 'f';
    if Options <> '' then
      Options := ' -' + Options;
    if UpdateForm.DateCheck.Checked then
      Options := Options + ' -D ' + AddQuotes(Trim(UpdateForm.DateEdit.Text));
    if UpdateForm.RevisionCheck.Checked then
      Options := Options + ' -r ' + AddQuotes(Trim(UpdateForm.RevisionEdit.Text));
    if UpdateForm.MergeCheck.Checked then
      Options := Options + ' -j ' + AddQuotes(Trim(UpdateForm.MergeEdit.Text));
  finally
    UpdateForm.Free;
  end;

  ExecCVSInBackground(ProgramCVS + CVSOptions + 'update' + Options + FileList);
end;

procedure TMainForm.CCommitClick(Sender: TObject);
var
  CommitForm: TCommitForm;
  FileList: String;
begin
  CheckCVSThread;
  CommitForm := TCommitForm.Create(Application);
  try
    if ListView.SelCount = 0 then
      CommitForm.SelRadio.Enabled := False
    else
      CommitForm.SelRadio.Checked := True;
    if CommitForm.ShowModal <> mrOK then
      Exit;
    if CommitForm.SelRadio.Checked then
      FileList := GetSelFileList;
  finally
    CommitForm.Free;
  end;

  ExecCVSInBackground(ProgramCVS + CVSOptions + 'commit' + FileList);
end;

procedure TMainForm.CAddClick(Sender: TObject);
var
  FileList, Options: String;
  AddForm: TAddForm;
begin
  CheckCVSThread;

  FileList := GetSelFileList;
  if FileList = '' then Exit;

  AddForm := TAddForm.Create(Application);
  try
    if AddForm.ShowModal <> mrOK then
      Exit;
    if AddForm.BinaryRadio.Checked then
      Options := ' -kb';
  finally
    AddForm.Free;
  end;

  ExecCVSInBackground(ProgramCVS + CVSOptions + 'add' + Options + FileList);
end;

procedure TMainForm.CTagClick(Sender: TObject);
var
  TagForm: TTagForm;
  FileList, Options, TagName: String;
begin
  CheckCVSThread;
  TagForm := TTagForm.Create(Application);
  try
    if ListView.SelCount = 0 then
      TagForm.SelRadio.Enabled := False
    else
      TagForm.SelRadio.Checked := True;

    if TagForm.ShowModal <> mrOK then
      Exit;

    if TagForm.SelRadio.Checked then
      FileList := GetSelFileList;
    if TagForm.MoveRadio.Checked then Options := Options + 'F';
    if TagForm.DeleteRadio.Checked then Options := Options + 'd';
    if TagForm.BranchCheck.Checked and not TagForm.DeleteRadio.Checked then
      Options := Options + 'b';
    if TagForm.CheckCheck.Checked then Options := Options + 'c';
    if TagForm.LocalCheck.Checked then Options := Options + 'l';
    if Options <> '' then
      Options := ' -' + Options;
    TagName := TagForm.NameEdit.Text;
  finally
    TagForm.Free;
  end;

  ExecCVSInBackground(ProgramCVS + CVSOptions + 'tag' + Options + ' ' + TagName +
    FileList);
end;

procedure TMainForm.CDiffClick(Sender: TObject);
var
  Filename, TempFilename, CmdLine: String;
  ReadPipe, WritePipe, TempFile: THandle;
  StartupInfo: TStartupInfo;
  ProcessInfo: TProcessInformation;
begin
  CheckCVSThread;
  if ListView.SelCount <> 1 then Exit;

  Filename := GetItemFilename(ListView.Selected);
  CreateDir(OurTempDir);
  TempFilename := GenerateTempFilename(Filename + '.diff-***.tmp');
  Win32Check(CreatePipe(ReadPipe, WritePipe, @InheritableSecurity, 0));
  TempFile := CreateFile(PChar(TempFilename), GENERIC_WRITE, 0,
    @InheritableSecurity, CREATE_ALWAYS, FILE_ATTRIBUTE_NORMAL, 0);
  if TempFile = INVALID_HANDLE_VALUE then
    RaiseLastWin32Error;
  try
    try
      CmdLine := ProgramCVS + CVSOptions + 'update -p ' + Filename;
      LogCmd(CmdLine);
      FillChar(StartupInfo, SizeOf(StartupInfo), 0);
      StartupInfo.cb := SizeOf(StartupInfo);
      StartupInfo.dwFlags := STARTF_USESHOWWINDOW or STARTF_USESTDHANDLES;
      StartupInfo.wShowWindow := SW_SHOWMINNOACTIVE;
      StartupInfo.hStdOutput := TempFile;
      StartupInfo.hStdError := WritePipe;
      Win32Check(CreateProcess(nil, PChar(CmdLine), nil, nil, True, 0,
        PChar(MakeCVSEnvironment), PChar(Dir), StartupInfo, ProcessInfo));
    except
      CloseHandle(TempFile);
      TempFile := 0;
      DeleteFile(TempFilename);
      raise;
    end;
    CloseHandle(ProcessInfo.hThread);
    CloseHandle(WritePipe);
    ContinueInBackground(ProcessInfo.hProcess, ReadPipe, False,
      ProgramExternalDiff + ' ' + AddQuotes(TempFilename) + ' ' +
      AddQuotes(Filename), TempFilename);
  finally
    if TempFile <> 0 then
      CloseHandle(TempFile);
  end;
end;

procedure TMainForm.ExecCVSWithOutputInNotepad(const CmdLine: String;
  TempNameFormat: String; const IgnoreExitCode: Boolean);
var
  TempFilename: String;
  ReadPipe, WritePipe, TempFile: THandle;
  StartupInfo: TStartupInfo;
  ProcessInfo: TProcessInformation;
begin
  CreateDir(OurTempDir);
  TempFilename := GenerateTempFilename(TempNameFormat);
  Win32Check(CreatePipe(ReadPipe, WritePipe, @InheritableSecurity, 0));
  TempFile := CreateFile(PChar(TempFilename), GENERIC_WRITE, 0,
    @InheritableSecurity, CREATE_ALWAYS, FILE_ATTRIBUTE_NORMAL, 0);
  if TempFile = INVALID_HANDLE_VALUE then
    RaiseLastWin32Error;
  try
    try
      LogCmd(CmdLine);
      FillChar(StartupInfo, SizeOf(StartupInfo), 0);
      StartupInfo.cb := SizeOf(StartupInfo);
      StartupInfo.dwFlags := STARTF_USESHOWWINDOW or STARTF_USESTDHANDLES;
      StartupInfo.wShowWindow := SW_SHOWMINNOACTIVE;
      StartupInfo.hStdOutput := TempFile;
      StartupInfo.hStdError := WritePipe;
      Win32Check(CreateProcess(nil, PChar(CmdLine), nil, nil, True, 0,
        PChar(MakeCVSEnvironment), PChar(Dir), StartupInfo, ProcessInfo));
    except
      CloseHandle(TempFile);
      TempFile := 0;
      DeleteFile(TempFilename);
      raise;
    end;
    CloseHandle(ProcessInfo.hThread);
    CloseHandle(WritePipe);
    ContinueInBackground(ProcessInfo.hProcess, ReadPipe, IgnoreExitCode,
      ProgramTextViewer + ' ' + AddQuotes(TempFilename), TempFilename);
  finally
    if TempFile <> 0 then
      CloseHandle(TempFile);
  end;
end;

procedure TMainForm.CMakePatchClick(Sender: TObject);
var
  MakePatchForm: TMakePatchForm;
  FileList: String;
begin
  CheckCVSThread;
  MakePatchForm := TMakePatchForm.Create(Application);
  try
    if ListView.SelCount = 0 then
      MakePatchForm.SelRadio.Enabled := False
    else
      MakePatchForm.SelRadio.Checked := True;
    if MakePatchForm.ShowModal <> mrOK then
      Exit;
    if MakePatchForm.SelRadio.Checked then
      FileList := GetSelFileList;
  finally
    MakePatchForm.Free;
  end;

  ExecCVSWithOutputInNotepad(ProgramCVS + CVSOptions + 'diff -u' + FileList,
    '***.patch', True);
end;

procedure TMainForm.CLogClick(Sender: TObject);
var
  Filename: String;
begin
  CheckCVSThread;
  if ListView.SelCount <> 1 then Exit;

  Filename := GetItemFilename(ListView.Selected);
  ExecCVSWithOutputInNotepad(ProgramCVS + CVSOptions + 'log ' + Filename,
    Filename + '.log-***.tmp', False);
end;

procedure TMainForm.CStatusClick(Sender: TObject);
var
  Filename: String;
begin
  CheckCVSThread;
  if ListView.SelCount <> 1 then Exit;

  Filename := GetItemFilename(ListView.Selected);
  ExecCVSWithOutputInNotepad(ProgramCVS + CVSOptions + 'status -v ' + Filename,
    Filename + '.status-***.tmp', False);
end;

function ConsoleCtrlHandler(dwCtrlType: DWORD): BOOL; stdcall;
begin
  { Just return True. Don't allow any console events to terminate us. }
  Result := True;
end;

procedure TMainForm.CLoginClick(Sender: TObject);
var
  LoginForm: TLoginForm;
  Root, Password: String;
  H: THandle;
  I: Integer;
  InputRecords: array of TInputRecord;
  NumWritten: DWORD;
begin
  CheckCVSThread;

  LoginForm := TLoginForm.Create(Self);
  try
    if LoginForm.ShowModal <> mrOK then
      Exit;

    Root := Format(':pserver:%s@%s:%s', [LoginForm.UserNameEdit.Text,
      LoginForm.AddressEdit.Text, LoginForm.PathEdit.Text]);
    Password := LoginForm.PasswordEdit.Text;
  finally
    LoginForm.Free;
  end;

  { Touch CVSHomeDir\.cvspass since "cvs login" fails if it doesn't exist. (?)
      cvs.exe login: failed to open C:\WINDOWS/.cvspass for reading:
      No such file or directory }
  H := CreateFile(PChar(AddBackslash(CVSHomeDir) + '.cvspass'), GENERIC_READ,
    FILE_SHARE_READ or FILE_SHARE_WRITE, nil, OPEN_ALWAYS,
    FILE_ATTRIBUTE_NORMAL, 0);
  CloseHandle(H);

  { We have to create our own console so that we may feed the password
    characters in. "cvs login" won't read the password from stdin.
    Maybe there's a better way? }
  Win32Check(AllocConsole);
  try
    Win32Check(SetConsoleCtrlHandler(@ConsoleCtrlHandler, True));

    ExecCVSInBackground(ProgramCVS + CVSOptions + '-d' + Root + ' login');

    Password := Password + #13;
    SetLength(InputRecords, Length(Password));
    FillChar(InputRecords[0], SizeOf(InputRecords[0]) * Length(InputRecords), 0);
    for I := 0 to Length(Password)-1 do begin
      InputRecords[I].EventType := KEY_EVENT;
      InputRecords[I].Event.KeyEvent.bKeyDown := True;
      InputRecords[I].Event.KeyEvent.wRepeatCount := 1;
      InputRecords[I].Event.KeyEvent.AsciiChar := Password[I+1];
    end;
    FillChar(Password[1], Length(Password), 0);  { security? }
    Win32Check(WriteConsoleInput(GetStdHandle(STD_INPUT_HANDLE), InputRecords[0],
      Length(InputRecords), NumWritten));
    FillChar(InputRecords[0], SizeOf(InputRecords[0]) * Length(InputRecords), 0);  { security? }
    Assert(NumWritten = DWORD(Length(InputRecords)));
  except
    FreeConsole;
    raise;
  end;
end;

procedure TMainForm.CCheckOutClick(Sender: TObject);
var
  CheckOutForm: TCheckOutForm;
  Root, Module: String;
begin
  CheckCVSThread;

  CheckOutForm := TCheckOutForm.Create(Self);
  try
    CheckOutForm.ServerTypeCombo.ItemIndex := 0;

    if CheckOutForm.ShowModal <> mrOK then
      Exit;

    case CheckOutForm.ServerTypeCombo.ItemIndex of
      0: Root := Format(':pserver:%s@%s:%s', [CheckOutForm.UserNameEdit.Text,
           CheckOutForm.AddressEdit.Text, CheckOutForm.PathEdit.Text]);
      1: Root := ':local:' + CheckOutForm.PathEdit.Text;
      2: Root := Format(':ext:%s@%s:%s', [CheckOutForm.UserNameEdit.Text,
           CheckOutForm.AddressEdit.Text, CheckOutForm.PathEdit.Text]);
    end;
    Module := CheckOutForm.ModuleEdit.Text;
  finally
    CheckOutForm.Free;
  end;

  ExecCVSInBackground(ProgramCVS + CVSOptions + '-d' + Root + ' checkout ' +
    Module);
end;

procedure TMainForm.CManualClick(Sender: TObject);
var
  S: String;
begin
  if not InputQuery('Manual CVS Command', 'Enter CVS arguments:', S) then
    Exit;
  ExecCVSInBackground(ProgramCVS + CVSOptions + S);
end;

procedure TMainForm.HAboutClick(Sender: TObject);
begin
  Application.MessageBox('InnoCVS version ' + Version + #13#10 +
    'Copyright (C) 2002 by Jordan Russell. All rights reserved.'#13#10 +
    'http://www.jrsoftware.org/'#13#10 +
    #13#10 +
    'This program comes with ABSOLUTELY NO WARRANTY. ' +
    'You may use and redistribute this program under the terms of the ' +
    'GNU General Public License. See LICENSE.TXT for details.',
    'About', MB_OK or MB_ICONINFORMATION);
end;

procedure TMainForm.VOptionsClick(Sender: TObject);

  procedure SaveRepositories;
  var
    Reg: TRegIniFile;
    SL: TStringList;
    I: Integer;
    Rep: PRepository;
  begin
    SL := nil;
    Reg := TRegIniFile.Create(SRegistryRootPath + '\Repositories');
    try
      SL := TStringList.Create;
      { Erase old keys }
      Reg.ReadSections(SL);
      for I := 0 to SL.Count-1 do
        Reg.EraseSection(SL[I]);
      { Then make new ones }
      for I := 0 to Repositories.Count-1 do begin
        Rep := Repositories[I];
        Reg.WriteString(Rep.Name, 'Host', Rep.Host);
        Reg.WriteString(Rep.Name, 'Path', Rep.Path);
        Reg.WriteString(Rep.Name, 'UserName', Rep.UserName);
        Reg.WriteInteger(Rep.Name, 'ServerType', Rep.ServerType);
      end;
    finally
      SL.Free;
      Reg.Free;
    end;
  end;

var
  OptionsForm: TOptionsForm;
begin
  OptionsForm := TOptionsForm.Create(Application);
  try
    OptionsForm.HomeEdit.Text := CVSHomeDir;
    OptionsForm.CVSEdit.Text := ProgramCVS;
    OptionsForm.TextViewerEdit.Text := ProgramTextViewer;
    OptionsForm.ExternalDiffEdit.Text := ProgramExternalDiff;
    OptionsForm.OpenInNotepadCheck.Checked := FOpenInNotepad.Default;
    OptionsForm.CopyRepositories(Repositories);

    if OptionsForm.ShowModal <> mrOK then
      Exit;

    CVSHomeDir := OptionsForm.HomeEdit.Text;
    ProgramCVS := OptionsForm.CVSEdit.Text;
    ProgramTextViewer := OptionsForm.TextViewerEdit.Text;
    ProgramExternalDiff := OptionsForm.ExternalDiffEdit.Text;
    FOpenInNotepad.Default := OptionsForm.OpenInNotepadCheck.Checked;
    FOpen.Default := not FOpenInNotepad.Default;

    FreeRepositories;
    Repositories := OptionsForm.Repositories;
    OptionsForm.Repositories := nil;
    SaveRepositories;
  finally
    OptionsForm.Free;
  end;
end;

procedure TMainForm.VPrevModifiedFileClick(Sender: TObject);
var
  Item: TListItem;
  CurIndex, I: Integer;
begin
  Item := ListView.ItemFocused;
  if Assigned(Item) then
    CurIndex := Item.Index
  else
    CurIndex := 0;
  for I := CurIndex-1 downto 0 do begin
    Item := ListView.Items[I];
    if Item.ImageIndex in [iiModifiedFile, iiModifiedBinaryFile] then begin
      ListView.Selected := nil;
      Item.Selected := True;
      Item.Focused := True;
      Item.MakeVisible(False);
      Exit;
    end;
  end;
  Application.MessageBox('There are no previous modified files.',
    'Previous Modified File', MB_OK or MB_ICONINFORMATION);
end;

procedure TMainForm.VNextModifiedFileClick(Sender: TObject);
var
  Item: TListItem;
  CurIndex, I: Integer;
begin
  Item := ListView.ItemFocused;
  if Assigned(Item) then begin
    CurIndex := Item.Index;
    { Include the focused item in the search if it isn't selected }
    if Item.Selected then
      Inc(CurIndex);
  end
  else
    CurIndex := 0;
  for I := CurIndex to ListView.Items.Count-1 do begin
    Item := ListView.Items[I];
    if Item.ImageIndex in [iiModifiedFile, iiModifiedBinaryFile] then begin
      ListView.Selected := nil;
      Item.Selected := True;
      Item.Focused := True;
      Item.MakeVisible(False);
      Exit;
    end;
  end;
  Application.MessageBox('There are no more modified files.',
    'Next Modified File', MB_OK or MB_ICONINFORMATION);
end;

procedure TMainForm.AMenuClick(Sender: TObject);
var
  I: Integer;
  SL: TStringList;
  Reg: TRegistry;
  MenuItem: TMenuItem;
begin
  for I := AMenu.Count-1 downto 3 do
    AMenu.Items[I].Free;
  SL := nil;
  Reg := TRegistry.Create;
  try
    if not Reg.OpenKeyReadOnly(SRegistryFavoritesPath) then
      Exit;
    SL := TStringList.Create;
    Reg.GetKeyNames(SL);
    SL.Sort;
    for I := 0 to SL.Count-1 do begin
      MenuItem := TMenuItem.Create(Self);
      MenuItem.Caption := SL[I];
      MenuItem.OnClick := FavoriteClick;
      AMenu.Add(MenuItem);
    end;
  finally
    SL.Free;
    Reg.Free;
  end;
end;

procedure TMainForm.AAddClick(Sender: TObject);
var
  S: String;
  Reg: TRegistry;
begin
  S := ExtractFileName(Dir);
  if not InputQuery('Add to Favorites', 'Description:', S) then
    Exit;
  S := Trim(S);
  if S = '' then
    Exit;
  if AnsiPos('\', S) <> 0 then begin
    Application.MessageBox('The name cannot include backslashes.', nil,
      MB_OK or MB_ICONEXCLAMATION);
    Exit;
  end;
  Reg := TRegistry.Create;
  try
    Reg.DeleteKey(SRegistryFavoritesPath + '\' + S);
    if not Reg.OpenKey(SRegistryFavoritesPath + '\' + S, True) then
      OpenKeyError;
    Reg.WriteString('Path', Dir);
  finally
    Reg.Free;
  end;
end;

procedure TMainForm.AOrganizeClick(Sender: TObject);
var
  FavoritesForm: TFavoritesForm;
begin
  FavoritesForm := TFavoritesForm.Create(Application);
  try
    FavoritesForm.ShowModal;
  finally
    FavoritesForm.Free;
  end;
end;

procedure TMainForm.FavoriteClick(Sender: TObject);
var
  S, Path: String;
  Reg: TRegistry;
begin
  S := (Sender as TMenuItem).Caption;
  Reg := TRegistry.Create;
  try
    if not Reg.OpenKeyReadOnly(SRegistryFavoritesPath + '\' + S) then
      OpenKeyError;
    Path := Reg.ReadString('Path');
  finally
    Reg.Free;
  end;
  if Path <> '' then
    ChangeDir(Path);
end;

procedure TMainForm.ContextPopupMenuPopup(Sender: TObject);
begin
  { Initialize the menu items' Enabled states }
  FMenuClick(Sender);
  CMenuClick(Sender);
  { Since actions don't a Default property, we have to transfer the Default
    setting manually from the File menu items }
  POpen.Default := FOpen.Default;
  POpenInNotepad.Default := FOpenInNotepad.Default;
end;

end.
